Agents

List capture agent assignments

GET
/organizations/{organizationId}/agents/{agentId}/assignments

Path Parameters

organizationId*string
Formatuuid
agentId*string
Formatuuid

Header Parameters

x-organization-role*string

Portal impersonation role (pair with x-organization-id)

Value in

  • "ORG_ADMIN"
  • "ORG_MEMBER"
x-organization-id*string

Must match the organizationId path segment

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/assignments" \  -H "x-organization-role: ORG_ADMIN" \  -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",      "agentId": "bc309ecf-5f66-4057-93c5-6611cc9cb7b2",      "applicationId": "string",      "certificateId": "string",      "trustStoreType": "linux_update_ca_certificates",      "materialType": "trust_anchor",      "includePrivateKey": true,      "config": {        "trustStorePath": "string",        "keychainPath": "string",        "dbUser": "string",        "alias": "string",        "storePasswordRef": "string",        "reloadCommand": [          "string"        ],        "verifyEndpoint": "http://example.com",        "verifyServerName": "string",        "autoRenew": true,        "removeOnRevoke": true,        "pythonVenvPath": "string",        "envFilePath": "string",        "useOpensslCa": true,        "nodeFlags": [          "string"        ],        "preferOsStore": true,        "certFileName": "tls.crt",        "keyFileName": "tls.key",        "keyPermissionMode": "string",        "racfProfile": "string",        "systemId": "string",        "gatewayMode": true      },      "version": 1,      "etag": "string",      "autoRenew": true,      "enabled": true,      "commonName": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "total": 0}
{  "message": "string"}
{  "message": "string"}